Package com.io7m.jregions.core.unparameterized.volumes

# Class VolumeF.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.volumes.VolumeF.Builder

Enclosing class:
  VolumeF

    public static final class VolumeF.Builder
    extends java.lang.Object

Builds instances of type `VolumeF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `VolumeF` | `build()` | Builds a new `VolumeF`.
  `VolumeF.Builder` | `from​(VolumeFType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeFType` instance.
  `VolumeF.Builder` | `from​(VolumeValuesFType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesFType` instance.
  `VolumeF.Builder` | `setMaximumX​(float maximumX)` | Initializes the value for the `maximumX` attribute.
  `VolumeF.Builder` | `setMaximumY​(float maximumY)` | Initializes the value for the `maximumY` attribute.
  `VolumeF.Builder` | `setMaximumZ​(float maximumZ)` | Initializes the value for the `maximumZ` attribute.
  `VolumeF.Builder` | `setMinimumX​(float minimumX)` | Initializes the value for the `minimumX` attribute.
  `VolumeF.Builder` | `setMinimumY​(float minimumY)` | Initializes the value for the `minimumY` attribute.
  `VolumeF.Builder` | `setMinimumZ​(float minimumZ)` | Initializes the value for the `minimumZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeF.Builder from​(VolumeFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeF.Builder from​(VolumeValuesFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumX

    public final VolumeF.Builder setMinimumX​(float minimumX)
    Initializes the value for the `minimumX` attribute.
    Parameters:
      `minimumX` - The value for minimumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final VolumeF.Builder setMaximumX​(float maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumY

    public final VolumeF.Builder setMinimumY​(float minimumY)
    Initializes the value for the `minimumY` attribute.
    Parameters:
      `minimumY` - The value for minimumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final VolumeF.Builder setMaximumY​(float maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumZ

    public final VolumeF.Builder setMinimumZ​(float minimumZ)
    Initializes the value for the `minimumZ` attribute.
    Parameters:
      `minimumZ` - The value for minimumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumZ

    public final VolumeF.Builder setMaximumZ​(float maximumZ)
    Initializes the value for the `maximumZ` attribute.
    Parameters:
      `maximumZ` - The value for maximumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeF build()
    Builds a new `VolumeF`.
    Returns:
      An immutable instance of VolumeF
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing